| Home | Libraries | People | FAQ | More

## Class template ostream_date_formatter

boost::date_time::ostream_date_formatter —

Convert a date to string using format policies.

## Synopsis

    template<typename date_type, typename facet_type, typename charT = char>
    class ostream_date_formatter {
    public:
      // types
      typedef std::basic_ostream< charT > ostream_type;
      typedef date_type::ymd_type         ymd_type;

      // public static functions
      void date_put(const date_type &, ostream_type &, const facet_type &) ;
      void date_put(const date_type &, ostream_type &) ;
    };

## Description

### `ostream_date_formatter` public static functions

1.     void date_put(const date_type & d, ostream_type & os, const facet_type & f) ;

   Put date into an ostream.

2.     void date_put(const date_type & d, ostream_type & os) ;

   Put date into an ostream.

| Copyright © 2001-2004 CrystalClear Software, Inc